local I = {}

function I.create ()

	I.container = LuaWindow(gGUI.createWidget({

	}))

	I.background = LuaImage(gGUI.createImage({
		parent = I.container.instance(),
		y = 11,
		image = gSpriteManager.getSprite(192, SpriteGroup.GUI)
	}))

	I.title = LuaText(gGUI.createText({
		parent = I.container.instance(),
		x = -100,
		y = -3,
		width = 200,
		height = 10,
		horizontalAlignment = HorizontalAlignment.Center,
		text = "John Smith",
		font = 3,
		color = 3
	}))

end

function I.updateTitle ()
	local dialogObject = DialogManager.currentDialog()
	I.title.setText(dialogObject.getName())
end

UI.Interfaces["dialog_title"] = I
